[OSM-dev] New JOSM version for 0.4 API

Jon Burgess jburgess777 at googlemail.com
Sat May 5 23:33:58 BST 2007


On Sun, 2007-05-06 at 00:09 +0200, Frederik Ramm wrote:
> Hi,
> 
>     I have committed to JOSM SVN a small bugfix and the changeover from 
> 0.3 as default API version to 0.4. The automatic rebuild will take place 
> during the night, so those of you reading this after Sunday 6am can get 
> the new version from the usual location (at josm.eigenheimstrasse.de).
> 
> Those of you who read this earlier and cannot wait, use this:
> http://www.remote.org/frederik/tmp/josm-04-fix.jar
> 
> The old version does work with 0.4 if you change the osm-server.version 
> property. The bug that was fixed concerns the merging of identical 
> segments on consecutive downloads and is not a big issue (albeit one 
> that caused a lot of concern). Unless you do a lot of sequential 
> downloading, you can safely use older versions as well.
> 
> Bye
> Frederik
> 

The bug itself might not be critical, but until we worked out that the
problem was with JOSM, we could not be confident that the new API was
not broken. 

Several other issues with the new Rails API were found and fixed during
dev day.

	Jon






More information about the dev mailing list